"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PREFIX = exports.LoggerService = void 0;

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classPrivateFieldInitSpec(obj, privateMap, value) { _checkPrivateRedeclaration(obj, privateMap); privateMap.set(obj, value); }

function _checkPrivateRedeclaration(obj, privateCollection) { if (privateCollection.has(obj)) { throw new TypeError("Cannot initialize the same private elements twice on an object"); } }

function _classPrivateFieldGet(receiver, privateMap) { var descriptor = _classExtractFieldDescriptor(receiver, privateMap, "get"); return _classApplyDescriptorGet(receiver, descriptor); }

function _classApplyDescriptorGet(receiver, descriptor) { if (descriptor.get) { return descriptor.get.call(receiver); } return descriptor.value; }

function _classPrivateFieldSet(receiver, privateMap, value) { var descriptor = _classExtractFieldDescriptor(receiver, privateMap, "set"); _classApplyDescriptorSet(receiver, descriptor, value); return value; }

function _classExtractFieldDescriptor(receiver, privateMap, action) { if (!privateMap.has(receiver)) { throw new TypeError("attempted to " + action + " private field on non-instance"); } return privateMap.get(receiver); }

function _classApplyDescriptorSet(receiver, descriptor, value) { if (descriptor.set) { descriptor.set.call(receiver, value); } else { if (!descriptor.writable) { throw new TypeError("attempted to set read only private field"); } descriptor.value = value; } }

var PREFIX = 'use-socket';
exports.PREFIX = PREFIX;

var _prefix = /*#__PURE__*/new WeakMap();

var LoggerService = /*#__PURE__*/_createClass(function LoggerService() {
  var _this = this;

  var prefix = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : PREFIX;

  _classCallCheck(this, LoggerService);

  _classPrivateFieldInitSpec(this, _prefix, {
    writable: true,
    value: void 0
  });

  _defineProperty(this, "log", function (message, data) {
    // eslint-disable-next-line no-console
    console.groupCollapsed("[".concat(_classPrivateFieldGet(_this, _prefix), "] ").concat(message)); // eslint-disable-next-line no-console

    data && console.log(data); // eslint-disable-next-line no-console

    console.groupEnd();
  });

  _defineProperty(this, "error", function (message, data) {
    // eslint-disable-next-line no-console
    console.error("[".concat(_classPrivateFieldGet(_this, _prefix), "] ").concat(message), data);
  });

  _classPrivateFieldSet(this, _prefix, prefix);
});

exports.LoggerService = LoggerService;