"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WebSocketEvent = exports.WebSocketClosingCode = void 0;
var WebSocketEvent;
exports.WebSocketEvent = WebSocketEvent;

(function (WebSocketEvent) {
  WebSocketEvent["OPEN"] = "open";
  WebSocketEvent["MESSAGE"] = "message";
  WebSocketEvent["ERROR"] = "error";
  WebSocketEvent["CLOSE"] = "close";
})(WebSocketEvent || (exports.WebSocketEvent = WebSocketEvent = {}));

var WebSocketClosingCode;
exports.WebSocketClosingCode = WebSocketClosingCode;

(function (WebSocketClosingCode) {
  WebSocketClosingCode[WebSocketClosingCode["FORCE_CLOSE"] = 1005] = "FORCE_CLOSE";
})(WebSocketClosingCode || (exports.WebSocketClosingCode = WebSocketClosingCode = {}));