export declare type State<Res, Err> = {
    data: Res | null;
    error: Err | null;
};
export declare type Controls = {
    stop: () => void;
};
export declare type LazyControls = {
    start: () => void;
    stop: () => void;
};
export declare type Options<N> = {
    name: N;
};
