import { InstanceOptions, Options } from './typedef';
import { SignalIndicator } from '../WebSocket/typedef';
export declare class CacheService<Res> {
    #private;
    constructor(name: string, options?: Options);
    static isSupported: (persist?: boolean | undefined) => boolean;
    set: (signal: SignalIndicator, res?: Res | null | undefined) => null | undefined;
    get: (signal: SignalIndicator) => Res | null;
    remove: (signal: SignalIndicator, exired?: boolean | undefined) => null;
}
export declare const createCacheInstance: <Res>(name: string, options?: InstanceOptions | undefined, debug?: boolean | undefined) => CacheService<Res> | undefined;
