import { Callback } from './typedef';
import { SignalIndicator } from '../WebSocket/typedef';
export declare class StorageService<T> {
    #private;
    constructor(persist?: boolean, name?: string);
    static isSupported: (persist?: boolean | undefined) => boolean;
    get: (signal: SignalIndicator) => T | null;
    set: (query: SignalIndicator, payload: T, callback?: Callback | undefined) => void;
    remove: (signal: SignalIndicator, callback?: Callback | undefined) => void;
    wipe: () => void;
}
