"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useWebSocketState = void 0;

var _WebSocket = require("../../contexts/WebSocket");

var useWebSocketState = function useWebSocketState(options) {
  var _useWebSocketContext = (0, _WebSocket.useWebSocketContext)(options === null || options === void 0 ? void 0 : options.name),
      connected = _useWebSocketContext.connected,
      open = _useWebSocketContext.open,
      close = _useWebSocketContext.close;

  return [connected, {
    open: open,
    close: close
  }];
};

exports.useWebSocketState = useWebSocketState;