import { Controls, LazyControls, State, Options } from './typedef';
import { SignalIndicator } from '../../services/WebSocket/typedef';
export declare const useSubscription: <Res, N extends string = string, Err = string, Signal extends SignalIndicator = SignalIndicator>(signal: Signal, options?: Options<N> | undefined) => [State<Res, Err>, Controls];
export declare const useLazySubscription: <Res, N extends string = string, Err = string, Signal extends SignalIndicator = SignalIndicator>(signal: Signal, options?: Options<N> | undefined) => [State<Res, Err>, LazyControls];
