import { SignalListener } from './typedef';
import { SignalIndicator } from '../WebSocket/typedef';
import { DebugMeta } from '../Logger/typedef';
export declare class SignalListenersService<Res, Err> {
    #private;
    constructor({ debug, prefix }: DebugMeta);
    add: (indicator: SignalIndicator, listener: SignalListener<Res, Err>) => () => void;
    remove: (indicator: SignalIndicator, id: string) => void;
    ping: (indicator: SignalIndicator, data: Res, error: Err | null) => void;
}
